> ## Documentation Index
> Fetch the complete documentation index at: https://docs.erdo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1outreach batches



## OpenAPI

````yaml /api/openapi.json get /v1/outreach-batches
openapi: 3.0.0
info:
  title: Erdo API
  description: >-
    Erdo's REST API: query and write datasets, run agents, manage threads,
    integrations, pages, evals, workstreams, experiments, and bounded outreach.
    Authenticate with a Bearer API key (erdo_api_...) or scoped token
    (erdo_token_...).
  version: '2026-09-09'
servers:
  - url: https://api.erdo.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/outreach-batches:
    get:
      operationId: GET:mcp.ListOutreachBatchesAPI
      parameters:
        - allowEmptyValue: true
          explode: true
          in: query
          name: initiative_ref
          required: false
          schema:
            type: string
          style: form
        - allowEmptyValue: true
          explode: true
          in: query
          name: cursor
          required: false
          schema:
            type: string
          style: form
        - allowEmptyValue: true
          explode: true
          in: query
          name: limit
          required: false
          schema:
            format: int64
            type: integer
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  batches:
                    items:
                      $ref: '#/components/schemas/messaging.OutreachBatchListItem'
                    type: array
                  next_cursor:
                    type: string
                type: object
          description: Success response
        default:
          $ref: '#/components/responses/APIError'
components:
  schemas:
    messaging.OutreachBatchListItem:
      properties:
        arm_blockers:
          items:
            type: string
          type: array
        armable:
          type: boolean
        batch:
          $ref: '#/components/schemas/messaging.OutreachBatchView'
        counts:
          $ref: '#/components/schemas/messaging.OutreachCounts'
        policy_readiness:
          $ref: '#/components/schemas/messaging.ProviderReadiness'
        provider_cost_estimate:
          $ref: '#/components/schemas/messaging.ProviderCostEstimate'
        provider_readiness:
          $ref: '#/components/schemas/messaging.ProviderReadiness'
      type: object
    messaging.OutreachBatchView:
      properties:
        armed_at:
          format: date-time
          type: string
        batch_slug:
          type: string
        cancelled_at:
          format: date-time
          type: string
        completed_at:
          format: date-time
          type: string
        created_at:
          format: date-time
          type: string
        default_country:
          type: string
        delayed_by_days:
          format: int64
          type: integer
        delayed_count:
          format: int64
          type: integer
        delayed_until:
          format: date-time
          type: string
        eligible_count:
          format: int64
          type: integer
        excluded_count:
          format: int64
          type: integer
        immediate_count:
          format: int64
          type: integer
        initiative_ref:
          type: string
        message_body:
          type: string
        message_hash:
          type: string
        message_version:
          type: string
        paused_at:
          format: date-time
          type: string
        preview_revision:
          type: string
        previewed_at:
          format: date-time
          type: string
        recipient_count:
          format: int64
          type: integer
        sequence_step:
          type: string
        source_snapshot_ref:
          type: string
        state:
          type: string
        updated_at:
          format: date-time
          type: string
      type: object
    messaging.OutreachCounts:
      properties:
        blocked:
          format: int64
          type: integer
        cancelled:
          format: int64
          type: integer
        contacted:
          format: int64
          type: integer
        delivered:
          format: int64
          type: integer
        due:
          format: int64
          type: integer
        eligible:
          format: int64
          type: integer
        failed:
          format: int64
          type: integer
        held:
          format: int64
          type: integer
        opted_out:
          format: int64
          type: integer
        replied:
          format: int64
          type: integer
        total:
          format: int64
          type: integer
      type: object
    messaging.ProviderReadiness:
      properties:
        blockers:
          items:
            type: string
          type: array
        ready:
          type: boolean
      type: object
    messaging.ProviderCostEstimate:
      properties:
        available:
          type: boolean
        currency:
          type: string
        estimated_cost:
          type: string
        estimated_segments:
          format: int64
          type: integer
        price_per_segment:
          type: string
        segments_per_recipient:
          format: int64
          type: integer
        unavailable_reason:
          type: string
      type: object
  responses:
    APIError:
      content:
        application/json:
          schema:
            externalDocs:
              url: https://pkg.go.dev/encore.dev/beta/errs#Error
            properties:
              code:
                description: Error code
                example: not_found
                externalDocs:
                  url: https://pkg.go.dev/encore.dev/beta/errs#ErrCode
                type: string
              details:
                description: Error details
                type: object
              message:
                description: Error message
                type: string
            title: APIError
            type: object
      description: Error response
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).

````